Bug 430933 - --load-dir rejects pathnames with components that star or end with "."
--load-dir rejects pathnames with components that star or end with "."
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-cpp (Show other bugs)
beta
All Linux
low Severity low
: ---
: ---
Assigned To: Ted Ross
Kim van der Riet
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-30 12:51 EST by Alan Conway
Modified: 2009-08-21 12:47 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-21 12:47:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alan Conway 2008-01-30 12:51:12 EST
Description of problem:

This works:
 ../qpidd --load-module ../.libs/libqpidcluster.so
but not this:
 ../qpidd --load-dir ../.libs
boost::filesystem::path: invalid name ".libs" in path: "../.libs"

.libs is not an invalid directory or file name, this should work.
It appears to be rejecting directory names with a component that starts or ends "."
Comment 1 Mike Bonnet 2008-02-29 11:43:10 EST
qpidd-0.2-24.el5, qpidc-0.2-24.el5, and rhm-0.2-18.el5 have been pushed to the staging repo for testing

Note You need to log in before you can comment on or make changes to this bug.